Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_OPERATION

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.omg.CORBA.SystemException
                      org.omg.CORBA.BAD_OPERATION

All Implemented Interfaces:
  Serializable

    public final class BAD_OPERATION

extends SystemException

Exception thrown when an object reference denotes an existing object, but that the object does not support the operation that was invoked.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_OPERATION()` Constructs a `BAD_OPERATION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`BAD_OPERATION(int minor, CompletionStatus completed)` Constructs a `BAD_OPERATION` exception with the specified minor code and completion status.
`BAD_OPERATION(String s)` Constructs a `BAD_OPERATION` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`BAD_OPERATION(String s, int minor, CompletionStatus completed)` Constructs a `BAD_OPERATION` exception with the specified detail message, minor code, and completion status.

Method Summary

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_OPERATION

    public BAD_OPERATION()

  Constructs a `BAD_OPERATION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

### BAD_OPERATION

    public BAD_OPERATION(String s)

  Constructs a `BAD_OPERATION` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.

  Parameters:
    `s` - the String containing a detail message

### BAD_OPERATION

    public BAD_OPERATION(int minor,
                         CompletionStatus completed)

  Constructs a `BAD_OPERATION` exception with the specified minor code and completion status.

  Parameters:
    `minor` - the minor code
    `completed` - an instance of `CompletionStatus` indicating the completion status

### BAD_OPERATION

    public BAD_OPERATION(String s,
                         int minor,
                         CompletionStatus completed)

  Constructs a `BAD_OPERATION` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the String containing a detail message
    `minor` - the minor code
    `completed` - an instance of `CompletionStatus` indicating the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.